import React, { useState, useEffect } from 'react';
import ReactDOM from 'react-dom';
import * as d3 from 'd3';

import { VictoryBar, VictoryChart } from 'Victory';

import DatePicker from 'react-datepicker';

//our 'api' url
const url='https://gist.githubusercontent.com/AchilleasTyrnenopoulos/df3cde5b381a5d2f442e595215e28e08/raw/YearlyFootfall';

//parse data
const row = d => {
  d.value = +d.value;
  return d;
};

const App = () => {
  const [data, setData] = useState([]);
  
  useEffect(() => {
    d3.csv(url, row)
      .then(data => {
      data = data.splice(360);
      //for testing
      console.log(data);
      setData(data);
    });
  }, []);
  
  return (
    <VictoryChart
      style={{tickLabels: {fontSize: 120}}}
      width='960'
      height='500'
      domainPadding={50}
      padding={{ top: 10, bottom: 40, left: 80, right: 10 }}
    >
      
      <VictoryBar data={data} x="time" y="value"  />
    </VictoryChart>
  );
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);